%global momorel 2
%global svn_date 20080214
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global use_svn 0

Summary:        C based Compiz configuration tool
Name:           compizconfig-backend-kconfig
Version:        0.7.8
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release:        %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.compiz-fusion.org/
%if %{use_svn}
Source0:        %{name}-%{version}-%{svn_date}.tar.bz2
%else
Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2 
NoSource: 0
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       compiz-core
Requires:       libcompizconfig >= %{version}, compizconfig-python >= %{version}
BuildRequires:  libcompizconfig >= %{version}
BuildRequires:  qt3-devel >= %{qtver}
BuildRequires:  kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires:  arts-devel
Obsoletes: 	beryl-settings, beryl-settings-simple, beryl-settings-bindings
Obsoletes: 	ccs-backend-kconfig
Provides:	ccs-backend-kconfig

%description
C based CCS configuration tool

%prep

%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%if %{use_svn}
make -f admin/Makefile.common cvs
%endif

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

# build ccs-backend-kconfig
%if %{use_svn}
pushd ../%{name}
%else
pushd ../%{name}-%{version}/
%endif

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/compizconfig/backends/libkconfig.*a

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/compizconfig/backends/libkconfig.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-2m)
- rebuild against rpm-4.6

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.8-1m)
- update 0.7.8

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.4-3m)
- rebuild against qt3

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-2m)
- back to the trunk

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.99-0.20080214.2m)
- rebuild against gcc43

* Sun Mar  9 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.1m)
- update 0.6.99-20080214

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- %%NoSource -> NoSource

* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-test

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070630.1m)
- update 20070630

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070621.2m)
- change Requires from compiz to compiz-core

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070616.1m)
- update 20070616

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- split package : ccs-settings

